POST api/StudentProfile?userIdentifier={userIdentifier}
Authorization
Access to this endpoint is public.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
Body Parameters
PearsonEnglish.LearningServices.Core.Models.Views.StudentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| UserName | string |
None. |
|
| StudentCode | string |
None. |
|
| Gender | PearsonEnglish.LearningServices.Core.Models.Enums.Gender |
None. |
|
| NativeLanguageId | globally unique identifier |
None. |
|
| SecondaryLanguageId | globally unique identifier |
None. |
|
| PersonalMotivationId | globally unique identifier |
None. |
|
| NationalityId | globally unique identifier |
None. |
|
| ProfessionId | globally unique identifier |
None. |
|
| NativeLanguage | string |
None. |
|
| SecondaryLanguage | string |
None. |
|
| PersonalMotivation | string |
None. |
|
| Nationality | string |
None. |
|
| Profession | string |
None. |
|
| SocialNetworkId1 | globally unique identifier |
None. |
|
| SocialNetworkId2 | globally unique identifier |
None. |
|
| SocialNetworkId3 | globally unique identifier |
None. |
|
| SocialNetworkId4 | globally unique identifier |
None. |
|
| ConsultantId | globally unique identifier |
None. |
|
| CenterId | globally unique identifier |
None. |
|
| CenterName | string |
None. |
|
| CenterReferenceId | string |
None. |
|
| ConsultantFullName | string |
None. |
|
| ConsultantPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| LabTeacherId | globally unique identifier |
None. |
|
| LabTeacherFullName | string |
None. |
|
| LabTeacherPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| IsAycl | boolean |
None. |
|
| Birthdate | date |
None. |
|
| About_Me | string |
None. |
|
| Interest_hobbies | string |
None. |
|
| Why_study_english | Collection of string |
None. |
|
| Study_reason | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| tempisNewStudent | boolean |
None. |
|
| LastName | string |
None. |
|
| FirstName | string |
None. |
|
| SsdsId | string |
None. |
|
| StudentId | integer |
None. |
|
| PhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| SocialNetworkAddress1 | string |
None. |
|
| SocialNetworkAddress2 | string |
None. |
|
| SocialNetworkAddress3 | string |
None. |
|
| SocialNetworkAddress4 | string |
None. |
|
| SocialNetwork1 | string |
None. |
|
| SocialNetwork2 | string |
None. |
|
| SocialNetwork3 | string |
None. |
|
| SocialNetwork4 | string |
None. |
|
| string |
None. |
||
| MobileTelephone | string |
None. |
|
| HomeTelephone | string |
None. |
|
| WorkTelephone | string |
None. |
|
| PreferredContactMethod | PearsonEnglish.LearningServices.Core.Models.Enums.StudentPreferredContactMethods |
None. |
|
| PreferredSocialNetworkId | globally unique identifier |
None. |
|
| PreferredSocialNetworkName | string |
None. |
|
| PreferredSocialNetworkAddress | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"UserName": "sample string 1",
"StudentCode": "sample string 2",
"Gender": 0,
"NativeLanguageId": "5f754c27-933f-41be-a80c-cb96d4090320",
"SecondaryLanguageId": "18ab66a2-3c25-408a-9159-dae2fd2d0505",
"PersonalMotivationId": "3e5f6c0e-6b44-4560-8d95-c3bc3673df73",
"NationalityId": "9e79287c-7a2c-49c4-a968-db0f75e4c845",
"ProfessionId": "a3a59b23-f94a-4515-b10a-cb1fd1637ccf",
"NativeLanguage": "sample string 3",
"SecondaryLanguage": "sample string 4",
"PersonalMotivation": "sample string 5",
"Nationality": "sample string 6",
"Profession": "sample string 7",
"SocialNetworkId1": "63cef663-eb11-43fc-8c15-9f4deaf962d8",
"SocialNetworkId2": "9f980516-7f5e-40c6-99b7-4cb57547c591",
"SocialNetworkId3": "c24c0633-05ce-4ff8-a267-fc4b86fc4957",
"SocialNetworkId4": "83f49962-e5b9-4e8e-92fd-3797688cbc9e",
"ConsultantId": "a94f5f68-5ca5-46a8-9d40-45979519f725",
"CenterId": "961a396c-731a-406f-962d-18e95a47a9d2",
"CenterName": "sample string 8",
"CenterReferenceId": "sample string 9",
"ConsultantFullName": "sample string 10",
"ConsultantPhotoUris": {
"Small": "sample string 1"
},
"LabTeacherId": "8dca456c-96f1-4de9-b362-3ce851cc4b4f",
"LabTeacherFullName": "sample string 11",
"LabTeacherPhotoUris": {
"Small": "sample string 1"
},
"IsAycl": true,
"Birthdate": "2026-11-06",
"About_Me": "sample string 13",
"Interest_hobbies": "sample string 14",
"Why_study_english": [
"sample string 1",
"sample string 2"
],
"Study_reason": "sample string 15",
"UserId": "4f122b1c-444d-4acd-b694-5686c3d5f57f",
"tempisNewStudent": true,
"LastName": "sample string 18",
"FirstName": "sample string 19",
"SsdsId": "sample string 20",
"StudentId": 21,
"PhotoUris": {
"Small": "sample string 1"
},
"SocialNetworkAddress1": "sample string 22",
"SocialNetworkAddress2": "sample string 23",
"SocialNetworkAddress3": "sample string 24",
"SocialNetworkAddress4": "sample string 25",
"SocialNetwork1": "sample string 26",
"SocialNetwork2": "sample string 27",
"SocialNetwork3": "sample string 28",
"SocialNetwork4": "sample string 29",
"Email": "sample string 30",
"MobileTelephone": "sample string 31",
"HomeTelephone": "sample string 32",
"WorkTelephone": "sample string 33",
"PreferredContactMethod": 0,
"PreferredSocialNetworkId": "97dbc1af-feb1-4588-9949-56372079d8b9",
"PreferredSocialNetworkName": "sample string 34",
"PreferredSocialNetworkAddress": "sample string 35"
}
Response Information
Resource Description
booleanResponse Formats
application/json, text/json
Sample:
true